<div [ngSwitch]="toolbarType">

  <mat-toolbar color="primary" *ngSwitchCase="'items'">
    <!-- <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon">
          <mat-icon>menu</mat-icon>
        </button> -->
    <span class="span-title">{{ title }}</span>

    <span class="app-spacer"></span>

    <button mat-icon-button (click)="onHome()" class="example-icon favorite-icon"
      aria-label="Example icon-button with heart icon">
      <mat-icon>home</mat-icon>
    </button>
    <button mat-icon-button (click)="onAdmin()" class="example-icon" aria-label="Example icon-button with share icon">
      <mat-icon>admin_panel_settings</mat-icon>
    </button>
  </mat-toolbar>

  <mat-toolbar color="primary" *ngSwitchCase="'admin'">
    <!-- <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon">
          <mat-icon>menu</mat-icon>
        </button> -->
    <span class="span-title">{{ title }}</span>

    <span class="app-spacer"></span>

    <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon"
      (click)="onHome()">
      <mat-icon>home</mat-icon>
    </button>
  </mat-toolbar>


  <mat-toolbar color="primary" *ngSwitchCase="'users'">
    <!-- <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon">
          <mat-icon>menu</mat-icon>
        </button> -->
    <span class="span-title">{{ title }}</span>
    <span class="app-spacer"></span>
    <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon"
      (click)="onHome()">
      <mat-icon>home</mat-icon>
    </button>
    <button mat-icon-button class="example-icon" aria-label="Example icon-button with share icon" (click)="onAdmin()">
      <mat-icon>admin_panel_settings</mat-icon>
    </button>
  </mat-toolbar>


  <mat-toolbar color="primary" *ngSwitchCase="'home'">
    <!-- <button mat-icon-button class="example-icon" aria-label="Example icon-button with menu icon">
          <mat-icon>menu</mat-icon>
        </button> -->
    <span class="span-title">{{ title }}</span>
    <span class="app-spacer"></span>
    <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon"
      (click)="onItems()">
      <mat-icon>dynamic_feeds</mat-icon>
    </button>
    <button mat-icon-button class="example-icon favorite-icon" aria-label="Example icon-button with heart icon"
      (click)="onUsers()">
      <mat-icon>group</mat-icon>
    </button>
    <button mat-icon-button class="example-icon" aria-label="Example icon-button with share icon" (click)="onAdmin()">
      <mat-icon>admin_panel_settings</mat-icon>
    </button>
  </mat-toolbar>
</div>
